Vue模板工程备忘(only 2.x)

1.!vue-style-loader!css-loader?的报错的解决:

安装相应的CSS包:

npm install stylus-loader css-loader style-loader less --save-dev

2.Failed at the chromedriver@2.x.x报错的解决:

可通过淘宝镜像下载安装chromedriver即可:

npm install chromedriver --chromedriver_cdnurl=http://cdn.npm.taobao.org/dist/chromedriver


1.工程打包支持相对路径:

/config/index.js 修改 build>assetsPublicPath 为 ./

2.增加对ES6的兼容:

安装包 npm install babel-polyfill --save,并在 webpack.base.conf.js 修改入口文件为:['babel-polyfill', './src/main.js']

3.让调试环境支持局域网访问:

/config/index.js 修改 dev/host 为 0.0.0.0